Appimages under Porteus

Non release banter
Post Reply
Kulle
Samurai
Samurai
Posts: 132
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Appimages under Porteus

Post#1 by Kulle » 14 May 2019, 17:04

Many appimages do not work after the dependencies have been added.
E.g. ViperBrowser

Code: Select all

guest@porteus:/home$ ./Viper_Browser-eec5d9f-x86_64.AppImage 
/tmp/.mount_Viper_bwmSST/usr/libexec/QtWebEngineProcess: error while loading shared libraries: libQt5Gui.so.5: cannot open shared object file: No such file or directory
via usm:

Code: Select all

...
libQt5Gui.so.5  was found in   copasi-4.23.184-x86_64-1_slonly.txz
...
Creating /tmp/usm/copasi-4.23.184-x86_64-1_slonly.xzm

Quiet mode: off
Updating shared library links:  /sbin/ldconfig
Updating XFCE menu: update-desktop-database
run again:

Code: Select all

guest@porteus:/home$ ./Viper_Browser-eec5d9f-x86_64.AppImage 
/tmp/.mount_Viper_EhBog3/usr/libexec/QtWebEngineProcess: error while loading shared libraries: libQt5Gui.so.5: cannot open shared object file: No such file or directory
how can that be?

User avatar
Ed_P
Contributor
Contributor
Posts: 4787
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Appimages under Porteus

Post#2 by Ed_P » 14 May 2019, 18:10

Did you Activate the USM package?
Ed

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1899
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

Appimages under Porteus

Post#3 by ncmprhnsbl » 14 May 2019, 22:45

with copasi, the qt5 libs are there, but not where anything but copasi can find.. ie. /usr/share/copasi/lib/ as opposed to /usr/lib64/
try with: Qt 5.9.1 framework (modular) + Qt Creator 4.3.1 (though you could be still missing the qtwebengine lib EDIT: checked: it's in the appimage))
appimages can be handy, but their target systems vary greatly, hence missing/wrong libs..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Samurai
Samurai
Posts: 132
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Appimages under Porteus

Post#4 by Kulle » 16 May 2019, 09:55

I have opened the appimage file with P7ZIP.
The library files are present in the appimages:

Code: Select all

guest@porteus:~/Downloads/usr/lib$ ls libQt*
libQt5Concurrent.so.5   libQt5PrintSupport.so.5  libQt5WebChannel.so.5
libQt5Core.so.5         libQt5Qml.so.5           libQt5WebEngineCore.so.5
libQt5DBus.so.5         libQt5Quick.so.5         libQt5WebEngineWidgets.so.5
libQt5Gui.so.5          libQt5QuickWidgets.so.5  libQt5Widgets.so.5
libQt5Network.so.5      libQt5Sql.so.5           libQt5X11Extras.so.5
libQt5Positioning.so.5  libQt5Svg.so.5           libQt5XcbQpa.so.5
guest@porteus:~/Downloads/usr/lib$ 
But if i run appimage, error message:
/tmp/.mount_Viper_bwmSST/usr/libexec/QtWebEngineProcess:
error while loading shared libraries: libQt5Gui.so.5: cannot open shared object file: No such file or directory

Why?

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1899
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

Appimages under Porteus

Post#5 by ncmprhnsbl » 16 May 2019, 13:05

Kulle wrote:
16 May 2019, 09:55
The library files are present in the appimages:
so they are...
maybe try in 'always fresh' mode, in case there's something in your modules or changes that's interfering..
i can confirm that viper appimage works in porteus dev version, will take a closer look at 4.0 ...
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1899
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

Appimages under Porteus

Post#6 by ncmprhnsbl » 17 May 2019, 00:02

ncmprhnsbl wrote:
16 May 2019, 13:05
will take a closer look at 4.0
done, tested with porteus 4.0 xfce: viper appimage works for me no problem..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Samurai
Samurai
Posts: 132
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Appimages under Porteus

Post#7 by Kulle » 17 May 2019, 07:43

Hi ncmprhnsbl,
porteus 4.0 xfce: viper appimage works for me no problem..
How can that be?
I tried it in 'always fresh' mode, but the same error!

My system:
Porteus-v4.0
Kernel: 4.16.3-porteus

What can I still do?
Because other appimages have in my system similar errors

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1899
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

Appimages under Porteus

Post#8 by ncmprhnsbl » 17 May 2019, 09:22

aha, i see we're using different appimages: this one: Viper_Browser-50-x86_64.AppImage is the one that works for me (it's newer)
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Samurai
Samurai
Posts: 132
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Appimages under Porteus

Post#9 by Kulle » 17 May 2019, 12:28

In fact, this version works.
Many Thanks
This means:
*** If an appimage does not work, wait for the next version! ***

Post Reply